Release 5.4.1 (1124)
Closed, ResolvedPublic

Description

Release version: 5.4.1 1124
Release tag: releases/5.4.1
Release SHA1:2073dce74af1e2dd3f8b61e75e136847abb3453f
App Store Submission Date: 5/1/2017
App Store Approval Date: 5/2/2017
App Store Release Date: 5/3/2017
Regression Testing URL: https://docs.google.com/a/wikimedia.org/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=drive_web


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l
JMinor created this task.Apr 19 2017, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2017, 4:53 PM
JMinor renamed this task from Release 5.4.1 (1103) to Release 5.4.1 (11??).Apr 24 2017, 6:45 PM
JMinor triaged this task as Normal priority.
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor renamed this task from Release 5.4.1 (11??) to Release 5.4.1 (1124).May 3 2017, 4:28 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)May 3 2017, 5:56 PM
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.4.1-Patchy-Boot board.
JMinor closed this task as Resolved.